import { Metadata } from '@zeedhi/core';
import { TekGrid, TekAgGrid } from '@zeedhi/teknisa-components-common';
import { Form } from '@zeedhi/common';
import { ZdTextInput } from '@zeedhi/vuetify';

export class OMInstance {
	public static getInstanceTekGrid(name: string): TekGrid {
		return Metadata.getInstance<TekGrid>(name);
	}

	public static getInstanceTekAgGrid(name: string): TekAgGrid {
		return Metadata.getInstance<TekAgGrid>(name);
	}

	public static getInstanceZdForm(name: string): Form {
		return Metadata.getInstance<Form>(name);
	}

	public static getInstanceZdTextInput(name: string): ZdTextInput {
		return Metadata.getInstance<ZdTextInput>(name);
	}
}
